import Panel from "../views/Panel";
import { NetBuried } from "../NetBuried";
export default class Alert extends Panel {

    set message(val) {

    }
    set btnTxt(val) {

    }

    start(data) {
        const { message, btnTxt } = data;
        this.data.message = message;
        this.data.btnTxt = btnTxt || '确定';
        NetBuried.ins.showLog(12)
    }

    public get skinKey() { return 'Alert' }
    public get groupName() { return 'alert'}

    protected get closeBtns(): eui.Button[] {
        return [this['closeBtn'], this['confirmBtn']]
    }
}